## xdvik-ja 22.84.13

=== texk/contrib/Makefile ===
# Makefile for MkTeX... programs which emulate the shell scripts.

srcdir = .

EXE = 
O = .o
LN_S = ln -s
RM = rm -f

mktex_main = mktex$(EXE)
mktex_links = mktexpk$(EXE) mktexlsr$(EXE) mktexnam$(EXE) \
		mktexupd$(EXE) mktexdir$(EXE) mktexmf$(EXE) mktextfm$(EXE)
mktex_progs = $(mktex_main) $(mktex_links)

DEFS = -D_IMPORT $(XDEFS)
CPPFLAGS = -I$(srcdir)/.. -I$(srcdir)/../kpathsea $(XCPPFLAGS)
CFLAGS = -Wall -g -O2 $(XCFLAGS)
CC = gcc -V2.7.2.3

# Kpathsea needs this for compiling, programs need it for linking.
LIBTOOL = $(srcdir)/../klibtool

# You can change [X]CPPFLAGS, [X]CFLAGS, or [X]DEFS, but
# please don't change ALL_CPPFLAGS or ALL_CFLAGS.
ALL_CPPFLAGS = $(DEFS) -I. -I$(srcdir) $(CPPFLAGS)
ALL_CFLAGS = $(ALL_CPPFLAGS) $(CFLAGS) -c
compile = $(CC) $(ALL_CFLAGS)

LDFLAGS = $(XLDFLAGS)
LOADLIBES = ../kpathsea/libkpathsea.la -lm $(XLOADLIBES)
link_command = $(CC) -o $@ $(LDFLAGS) 
kpathsea_link = $(LIBTOOL) link $(link_command)

.c.o:
	$(compile) $<


default all do-mktex: mktexprogs

mktexprogs: $(mktex_progs) makempx$(EXE) dvihp$(EXE)

$(mktex_main): mktex$O stackenv$O variables$O regex$O $(kpathsea)
	$(kpathsea_link) mktex$O stackenv$O variables$O regex$O $(LOADLIBES)

$(mktex_links):
	$(RM) $@
	$(LN_S) $(mktex_main) $@
	touch $@

makempx: makempx$O stackenv$O $(kpathsea)
	$(kpathsea_link) makempx$O stackenv$O $(LOADLIBES)

dvihp: dvihp$O $(kpathsea)
	$(kpathsea_link) dvihp$O stackenv$O $(LOADLIBES)

mktex$O makempx$O dvihp$O stackenv$O variables$O: stackenv.h
mktex$O: variables.h
mktex$O variables$O regex$O: regex.h

clean distclean:
	-$(RM) *$O $(mktex_progs) makempx$(EXE) dvihp$(EXE) *.exe

check:

#Local Variables:
#mode: Makefile
#End:

## xdvik-ja 22.84.13-j1.34

=== debian/changelog ===
xdvik-ja (22.84.13-j1.34-4) unstable; urgency=low

  [Youhei SASAKI]
  * Add DM-Upload-Allowed: yes
  * Bump Standard-Version: 3.9.2
  * Update Depends: Font name changed. 
    Thanks to Hideki Yamane (Closes: #642121, #642210)
  * Fix FTBFS with ld --as--needed.
    Thanks to Matthias Klose (Closes: #641292, LP: #832899)
  * Fix FTBFS: dpkg-buildflags
    Thanks to Hideki Yamane, Daniel T Chen (Closes: #644048)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 21 Sep 2011 14:23:32 +0900

xdvik-ja (22.84.13-j1.34-3) unstable; urgency=low

  [Youhei SASAKI]
  * Add me to Uploaders, thanks to Tsuchiya-san, Kohda-san.
  * Bump Standard-version: 3.8.4
  * Change source format: 3.0 (quilt)
  * Fix invalid outline from freetype (Closes: #583874).
  * Fix some lintian warnings:
    - Add copyright notice about original xdvik, localization patches
    - fix manpages error
  * Fix description in update-vfontmap: remove defoma entry.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 11 Jun 2010 13:38:10 +0900

xdvik-ja (22.84.13-j1.34-2.2) unstable; urgency=high

  * NMU.  Fix debian/xdvik-ja.prerm to close serious bug, so urgency is high.
    Thanks to Yamane-san <henrich AT debian.or.jp> for his help.
    (Closes: #574194)
  * debian/xdvik-ja.preinst
    - call defoma-app to remove unnecessary defoma entry.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 26 Mar 2010 16:16:09 +0900

xdvik-ja (22.84.13-j1.34-2.1) unstable; urgency=low

  * NMU.  In fact this is a co-operation with a maintainer and an uploader.
  [TSUCHIYA Masatoshi]
  * Removed defoma from depends and build-dep - closes: #458863
  * Call libtool with `--tag=cc' option - closes: #511908
  [Atsuhito Kohda]
  * Fixed to work under TeXLive2009 (kpathsea5).  (Closes: #527526, #560964)
  * Changed sponsor and uploader.
  * Fixed control, compat, rules and prerm files to erase lintian warnings.
   - added ${misc:Depends} and ttf-sazanami-mincho, ttf-vlgothic in control.
   - changed from 4 to 7 in compat file.
   - so replaced "dh_clean -k" with "dh_prep" in rules file.
   - removed prepended path in prerm.

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 05 Jan 2010 12:58:43 +0900

xdvik-ja (22.84.13-j1.34-2) unstable; urgency=low

  * Removed libwww-dev from build-dep - closes: #458863

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 08 Jan 2008 02:38:01 +0900

xdvik-ja (22.84.13-j1.34-1) unstable; urgency=low

  [TSUCHIYA Masatoshi]
  * New upstream release.

  [Masayuki Hatta]
  * Bumped up Standards-Version to 3.7.3 (no physical changes).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 06 Jan 2008 15:42:48 +0900

xdvik-ja (22.84.12-j1.34-1) unstable; urgency=low

  * New upstream release. - closes: #336783
  * Remove libkpathsea4-dev from Build-Depends. - closes: #429679
  * Workaround patches (debian/patches/60kpse_enc_file.diff,
    debian/patches/80wideprototype.diff) are removed.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 28 Jul 2007 18:47:57 +0900

xdvik-ja (22.84.10-j1.33-1) unstable; urgency=low

  * New upstream release.
  * Configuration file paths are changed, because format of vfontmap is
    changed by upstream developers.
  * Use defoma to select appropriate fonts.
  * Added ttf-japanese-* to Depends.
  * Added texlive-base-bin to Depends - closes: #357200

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 27 Sep 2006 18:48:59 +0900

xdvik-ja (22.84.8-j1.22-2) unstable; urgency=low

  * Works done at Codefest in Malaysia 2006.
  * Added me to Uploaders.
  * Tighten up dependencies.
  * Added ttf-sazanami-* to Depends - closes: #352006
  * Bumped to Standards-Version: 3.6.2.2 (no physical changes).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat,  4 Mar 2006 12:48:52 +0900

xdvik-ja (22.84.8-j1.22-1) unstable; urgency=low

  * New upstream release (closes: #277335)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 05 Apr 2005 17:59:29 +0900

xdvik-ja (22.84.8-j1.21-1) unstable; urgency=low

  * New upstream release

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 01 Jan 2005 17:17:56 +0900

xdvik-ja (22.84.5-j1.21-1) unstable; urgency=low

  * New upstream release

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 06 Nov 2004 23:40:04 +0900

xdvik-ja (22.84.3-j1.21-2) unstable; urgency=low

  * debian/patches/80tempfile-fix.diff: Change to avoid the reported bug.
    Thanks to Kenshi Muto and Fumitoshi UKAI for their kind help.
    - closes: #272437

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 29 Sep 2004 15:00:23 +0900

xdvik-ja (22.84.3-j1.21-1) unstable; urgency=low

  * New upstream release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 25 Aug 2004 11:46:43 +0900

xdvik-ja (22.84.1-j1.21-1) unstable; urgency=low

  * New upstream release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Mon, 28 Jun 2004 12:16:13 +0900

xdvik-ja (22.84-j1.21-2) unstable; urgency=low

  * Add tmin and tgoth to 20ascii-ptex.map.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 16 Jun 2004 23:28:16 +0900

xdvik-ja (22.84-j1.21-1) experimental; urgency=low

  * New upstream release.
  * Use experimental Japanized patch.
  * debian/10keybind-option.diff: Removed.
  * Use libt1-dev instead of t1lib-dev. - closes: #251185

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Mon, 14 Jun 2004 01:01:42 +0900

xdvik-ja (22.40y-j1.18-1) unstable; urgency=low

  * New upstream release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 30 Sep 2003 04:07:52 +0900

xdvik-ja (22.40y-j1.17-1) unstable; urgency=low

  * New upstream release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Thu, 21 Aug 2003 00:19:27 +0900

xdvik-ja (22.40x-j1.17-1) unstable; urgency=low

  * New upstream release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 25 Apr 2003 18:17:38 +0900

xdvik-ja (22.40w-j1.17-2) unstable; urgency=low

  * Add libwww0 to Build-Depends filed of debian/control.  This addition
    must be done in 22.40v-j1.14-3, but, I made a mistake. - closes: #189117



=== debian/control ===
Source: xdvik-ja
Section: tex
Priority: optional
DM-Upload-Allowed: yes
Maintainer: TSUCHIYA Masatoshi <tsuchiya@namazu.org>
Build-Depends: debhelper (>> 7.0.0), cdbs, libtool, libkpathsea-dev (>= 3.0), libxaw7-dev, libfreetype6-dev (>= 2.1.10), libt1-dev, zlib1g-dev
Standards-Version: 3.9.2
Uploaders: Atsuhito Kohda <kohda@debian.org>, Youhei SASAKI <uwabami@gfd-dennou.org>

Package: xdvik-ja
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
  texlive-binaries | texlive-base-bin,
  fonts-ipafont-mincho | fonts-japanese-mincho,
  fonts-ipafont-gothic | fonts-japanese-gothic, 
  fontconfig
Conflicts: ptex-jisfonts (<= 2-18), vfdata-morisawa5 (<= 0.0.20020122-11)
Recommends: dvipsk-ja | dvi2ps
Description: Japanized DVI Previewer for the X Window System
 xdvi is a program which is used to preview DVI files, such as are produced 
 by TeX.
 .
 This localized version of xdvi can handle Japanese DVI files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_TAR_SRCDIR := xdvik-22.84.13
LOCALIZE_PATCH := xdvik-22.84.13-j1.34.patch.gz

# This dependency must be defined before including autotools.mk.
common-configure-impl:: run-klibtool

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/tarball.mk

DEB_CONFIGURE_SYSCONFDIR  := /etc/texmf
DEB_CONFIGURE_EXTRA_FLAGS := \
	--with-libwww-include=/usr/include/w3c-libwww \
	--with-system-t1lib \
	--with-xdvi-x-toolkit=xaw \
	--enable-freetype \
	--with-vfontmap=/var/lib/texmf/vfontmap

DEB_BUILDDIR            := $(DEB_SRCDIR)/texk/xdvik
DEB_CONFIGURE_SCRIPT    := $(CURDIR)/$(DEB_BUILDDIR)/configure
DEB_MAKE_INSTALL_TARGET := install prefix=$(DEB_DESTDIR)/usr \
			texmf=$(DEB_DESTDIR)/usr/share/texmf

DEB_INSTALL_CHANGELOGS_ALL := $(DEB_BUILDDIR)/CHANGES

pre-build:: debian/stamp-localized
debian/stamp-localized:: $(_cdbs_tarball_stamps)
	cd $(DEB_SRCDIR) && gzip -dc ../../$(LOCALIZE_PATCH) | patch -p1 -E
	cp debian/debug.h debian/progname.h debian/tex-file.h \
		debian/tex-make.h debian/types.h $(DEB_SRCDIR)/texk/kpathsea
	touch $@

run-klibtool:: $(DEB_SRCDIR)/texk/klibtool.config
$(DEB_SRCDIR)/texk/klibtool.config:
	cd $(DEB_SRCDIR)/texk && ./klibtool configure $(DEB_HOST_GNU_TYPE)

install/xdvik-ja:: mapdir=debian/xdvik-ja/etc/texmf/vfontmap.d
install/xdvik-ja:: prefix=debian/xdvik-ja/usr
install/xdvik-ja::
	install -m 755 $(CURDIR)/debian/xdvi-pl $(prefix)/bin/xdvi-ja
	install -m 755 $(CURDIR)/debian/update-vfontmap $(prefix)/sbin/update-vfontmap
	cp -p $(CURDIR)/debian/*.map $(mapdir)
	chmod 644 $(mapdir)/*
	# Renaming xdvi.bin* to xdvi-ja.real*.
	cd $(prefix)/bin && mv xdvi-xaw xdvi-ja.real
	cd $(prefix)/share/man/man1 && mv xdvi.1 xdvi-ja.real.1
	cd $(prefix)/share/man/man1 && ln -s xdvi.1.gz xdvi-ja.1.gz
	# Remove duplicates.
	rm -f $(prefix)/bin/t1mapper
	rm -f $(prefix)/bin/oxdvi
	rm -f $(prefix)/bin/xdvi
	rm -f $(prefix)/bin/xdvi.bin
	rm -f $(prefix)/bin/xdvizilla
	rm -f $(prefix)/share/man/man1/t1mapper.1
	rm -f $(prefix)/share/man/man1/oxdvi.1
	rm -f $(prefix)/share/man/man1/xdvizilla.1
	rm -rf $(prefix)/share/info
	rm -rf $(prefix)/share/texmf

clean::
	-rm -f debian/stamp-localized debian/stamp-klibtool
	[ ! -d $(DEB_TAR_SRCDIR) ] || rm -rf $(DEB_TAR_SRCDIR)
	[ ! -f xdvik-22.84.13.tar.gz.cdbs-config_list ] || rm -f xdvik-22.84.13.tar.gz.cdbs-config_list

.PHONY: run-klibtool

## xdvik-ja 22.84.16-j1.40+t1lib

=== debian/changelog ===
xdvik-ja (22.84.16-j1.40+t1lib-1) unstable; urgency=low

  [Youhei SASAKI]
  * New upstream release: TeXLive 2011(2012/dev) with t1lib + e-pTeX patches
  * Build with internal t1lib provided by TeXLive upstream sources
    - As t1lib is going to dissappear in Wheezy (Closes: #638764).
      There are no alternatives for CJKV DVI, and replacement to freetype 2 is 
      still in progress.
    - I know, we should be avoided. libfreetype2 should be use instead.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 16 Apr 2012 14:46:31 +0900

xdvik-ja (22.84.16-j1.40-1) unstable; urgency=low

  [Youhei SASAKI]
  * New upstream release: TeXLive 2011(2012/dev) + apply e-pTeX patches
  * Bump Standard-Version: 3.9.3
  * Change debian/rules: use dh instead of CDBS
  * Update, rename patches:
    - 0001-tl11supp-pxdvi-120120.patch: e-pTeX patch, modified for Debian
    - 0002-Fix-Werror-format-security.patch
    - 0003-Fix-manpage-error.patch
    - 0004-Fix-Freetype-Invalid-Outline.patch
  * Drop obsolete patches:
    - 51_ld_as-needed.diff: use dh_autoreconf --as-needed
    - 10gcc.diff, 30common.mk, 40Makefile.in.diff, 50libtool-tag.diff:
      These patches obsolete because of upstream changes.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 15 Mar 2012 04:42:29 +0900

=== debian/control ===
Source: xdvik-ja
Section: tex
Priority: optional
DM-Upload-Allowed: yes
Maintainer: TSUCHIYA Masatoshi <tsuchiya@namazu.org>
Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~),
 dh-autoreconf, libtool, libkpathsea-dev (>= 3.0), libptexenc-dev,
 libxaw7-dev, libfreetype6-dev (>= 2.1.10), zlib1g-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.3
Uploaders: Atsuhito Kohda <kohda@debian.org>, Youhei SASAKI <uwabami@gfd-dennou.org>
Vcs-Git: git://git.debian.org/git/collab-maint/xdvik-ja.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xdvik-ja.git


Package: xdvik-ja
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  texlive-binaries (>= 2011~),
  fonts-ipafont-mincho | fonts-japanese-mincho,
  fonts-ipafont-gothic | fonts-japanese-gothic,
  fontconfig
# Conflicts: ptex-jisfonts (<= 2-18), vfdata-morisawa5 (<= 0.0.20020122-11)
# Recommends: dvipsk-ja | dvi2ps
Description: Japanized DVI Previewer for the X Window System
 xdvi is a program which is used to preview DVI files, such as are produced
 by TeX. This localized version of xdvi can handle Japanese DVI files,
 called pxdvi.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

WORKDIR ?= $(CURDIR)/Work

%:
	dh $@ --with autoreconf \
		--sourcedir=$(CURDIR)/texk/xdvik \
		--builddir=$(WORKDIR)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	mkdir -p $(WORKDIR)/t1lib
	(cd $(CURDIR)/Work/t1lib && \
	  ../../libs/t1lib/configure --enable-shared )
	(cd $(CURDIR)/Work/t1lib && make )
	dh_auto_configure -- \
	  --with-kpathsea-libdir=/usr/lib \
	  --with-kpathsea-includes=/usr/include/kpathsea \
	  --with-xdvi-x-toolkit=xaw \
	  --disable-t1utils \
	  --with-t1lib-includes=$(WORKDIR)/t1lib \
	  --with-t1lib-libdir=$(WORKDIR)/t1lib \
	  --enable-freetype \
	  --enable-pxdvik

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/pxdvi.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/pxdvi-xaw.1

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/texk/xdvik/CHANGES.xdvik-jp

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(CURDIR)/Work

## xdvik-ja 22.87.03%2Bj1.42

=== debian/control ===
Source: xdvik-ja
Section: tex
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 12),
	dpkg-dev (>= 1.16.1~),
	libtool,
	libkpathsea-dev (>= 3.0),
	libptexenc-dev,
	libxaw7-dev,
	libxi-dev,
	libfreetype6-dev (>= 2.1.10),
	libgs-dev,
	zlib1g-dev,
	texlive-binaries,
	ghostscript,
	pkg-config
Build-Conflicts: autoconf2.13
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/uwabami-guest/xdvik-ja.git
Vcs-Browser: https://salsa.debian.org/uwabami-guest/xdvik-ja

Package: xdvik-ja
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  texlive-binaries (>= 2011~),
  fonts-ipafont-mincho | fonts-japanese-mincho,
  fonts-ipafont-gothic | fonts-japanese-gothic,
  fontconfig
Description: Japanized DVI Previewer for the X Window System
 xdvi is a program which is used to preview DVI files, such as are produced
 by TeX. This localized version of xdvi can handle Japanese DVI files,
 called pxdvi.

## xdvik-ja 22.87.03+j1.42

=== debian/changelog ===
xdvik-ja (22.87.03+j1.42-4) unstable; urgency=medium

  * Add pkg-config into Build-Depends (Closes: #952100)
  * d/{control,compat}: use debhelper-compat
  * d/copyright: update copyright year
  * Add salsa-ci.yml
  * d/control: Bump Standard Version 4.5.0

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 25 Feb 2020 10:18:25 +0900

xdvik-ja (22.87.03+j1.42-3) unstable; urgency=medium

  * Add patch: follow gs9.27 changes (Closes: #939494)
    Thanks to NIDE, Naoyuki!
  * d/control: Bump Standard Version 4.4.0
  * d/{control,compat}: Bump Compat 12

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 09 Sep 2019 15:20:37 +0900

xdvik-ja (22.87.03+j1.42-2) unstable; urgency=medium

  [ Youhei SASAKI ]
  * d/control: Bump Standard-Version 4.2.1
  * d/control: update Vcs-{Git,Browser}. use salsa
  * d/changelog: remove trailing-whitespace

  [ Hilko Bengen ]
  * Add patch to detect freetype2 via pkg-config (Closes: #892353)
  * Debian release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 06 Nov 2018 15:06:53 +0900

xdvik-ja (22.87.03+j1.42-1) unstable; urgency=medium

  * Add debian/watch: use SourceForge as upstream
    - Bump version 4
  * Imported Upstream version 22.87.03+j1.42
  * Refresh, split patches for copyright
  * Drop obsolete lintian overrides
  * Update debian/rules: follow upstream change
  * Drop autotool generated file: c-auto.in
  * Update debian/copyright: format 1.0
    - Add Files-Excluded field in order to strip TeXLive build files
  * Update debian/control:
    - Drop obsolete: DM-Upload-Allowed line
    - Update Maintainer, drop Uploaders
    - Update Vcs-* field
  * Bump Compat: 9
  * Bump Standard version: 3.9.8
  * Add README.Debian
  * Update debhelper script: cosmetic, drop defoma entry

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 06 Nov 2018 15:06:51 +0900

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

WORKDIR ?= $(CURDIR)/Work

%:
	dh $@ --with autoreconf \
		--sourcedir=$(CURDIR)/texk/xdvik

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
	  --enable-shared \
	  --with-x \
	  --with-iconv \
	  --with-xpm \
	  --with-xdvi-x-toolkit=xaw \
	  --with-system-kpathsea \
	  --with-kpathsea-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  --with-kpathsea-includes=/usr/include/kpathsea \
	  --with-system-freetype2 \
	  --with-system-zlib \
	  --with-system-libgs \
	  --with-default-gs-lib-path=/usr/lib \
	  --with-default-dvips-path=/usr/bin/dvips \
	  --with-default-ps2pdf-path=/usr/bin/ps2pdf

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/bin/xdvi-xaw \
		$(CURDIR)/debian/tmp/usr/bin/pxdvi-xaw
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/xdvi.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/pxdvi-xaw.1

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/texk/xdvik/CHANGES.xdvik-jp

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(CURDIR)/build-aux

=== debian/watch ===
version=4
http://sf.net/xdvi/ xdvik-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## xdvik-ja 22.87.05+j1.42

=== debian/changelog ===
xdvik-ja (22.87.05+j1.42-2) unstable; urgency=medium

  * Re-Add debian/salsa-ci.yml
  * Imported Upstream version 22.87.03+j1.42
  * New upstream version 22.87.05
  * Refresh patches
  * Add d/control: Add Rules-Requires-Root
  * Update debian/changelog
  * d:control: Update Vcs-* field

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 19 Apr 2020 13:08:15 +0900

xdvik-ja (22.87.05+j1.42-1) unstable; urgency=medium

  * Drop salsa-ci.yml
  * New upstream version 22.87.05
  * Refresh patches
  * Add d/control: Add Rules-Requires-Root

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 30 Mar 2020 15:04:42 +0900

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
 	pkg-config
 Build-Conflicts: autoconf2.13
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/uwabami-guest/xdvik-ja.git
-Vcs-Browser: https://salsa.debian.org/uwabami-guest/xdvik-ja
+Vcs-Git: https://salsa.debian.org/uwabami/xdvik-ja.git
+Vcs-Browser: https://salsa.debian.org/uwabami/xdvik-ja
+Rules-Requires-Root: no
 
 Package: xdvik-ja
 Architecture: any

## xdvik-ja 22.87.06+j1.42

=== debian/changelog ===
xdvik-ja (22.87.06+j1.42-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:37:15 +1100

xdvik-ja (22.87.06+j1.42-2build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:00:25 +0000

xdvik-ja (22.87.06+j1.42-2) unstable; urgency=medium

  * Add patch: support 2004-{H,V} entry (Closes: #1052607)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 13 Oct 2023 17:41:32 +0900

xdvik-ja (22.87.06+j1.42-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes needed)
  * New upstream version 22.87.06+j1.42
  * Change location config.xdvi
  * Update README.Debian (Closes: #993597)
  * debian/control: Remove empty control field Recommends in package xdvik-ja.
  * d/control: Add build-depends libfreetype1-dev (Closes: #1003328)
  * d/control: Update Build-Depends
  * Typo. fixed
  * Refresh patches
  * d/patches: Add DEP-3 tag
  * Fix use-after-free bug (Closes: #1003327) Thanks to NIDE-san!
  * Add source/lintian-overrides: source-is-missing

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 05 Oct 2023 15:44:56 +0900

xdvik-ja (22.87.05+j1.42-3) unstable; urgency=medium

  * Update debian/salsa-ci.yml file
  * Bump debhelper from old 12 to 13.
  * Fix day-of-week for changelog entry 22.40u-j1.12-0.2.
  * Update standards version to 4.5.1, no changes needed.
  * d/rules: update for dh compat = 13
  * d/control: Add texlive-lang-japanese and poppler-data into Depends
    (Closes: #993597)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 04 Sep 2021 22:08:27 +0900

=== debian/control ===
Source: xdvik-ja
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 13),
	dpkg-dev (>= 1.16.1~),
	libtool,
	libkpathsea-dev (>= 3.0),
	libptexenc-dev,
	libxaw7-dev,
	libxi-dev,
	libfreetype-dev,
	libfontconfig-dev,
	libgs-dev,
	zlib1g-dev,
	texlive-binaries,
	ghostscript,
	pkg-config
Build-Conflicts: autoconf2.13
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/uwabami/xdvik-ja.git
Vcs-Browser: https://salsa.debian.org/uwabami/xdvik-ja
Rules-Requires-Root: no

Package: xdvik-ja
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  texlive-binaries (>= 2011~),
  texlive-lang-japanese,
  fonts-ipafont-mincho | fonts-japanese-mincho,
  fonts-ipafont-gothic | fonts-japanese-gothic,
  fontconfig,
  poppler-data
Description: Japanized DVI Previewer for the X Window System
 xdvi is a program which is used to preview DVI files, such as are produced
 by TeX. This localized version of xdvi can handle Japanese DVI files,
 called pxdvi.

=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,14 @@
 	mv $(CURDIR)/debian/tmp/usr/share/man/man1/xdvi.1 \
 		$(CURDIR)/debian/tmp/usr/share/man/man1/pxdvi-xaw.1
 
+override_dh_install:
+	dh_install --sourcedir=$(CURDIR)/debian/tmp
+
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/texk/xdvik/CHANGES.xdvik-jp
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -fr $(CURDIR)/build-aux
+
+override_dh_missing:
